﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ChartView;
using Telerik.Charting;

namespace wpf_ChartView_679436
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var data = new List<PlotInfo>() 
            { 
                new PlotInfo { Date = new DateTime(2013, 4, 10), YVal = 10 },
                new PlotInfo { Date = new DateTime(2013, 4, 11), YVal = 11 },
                new PlotInfo { Date = new DateTime(2013, 4, 15), YVal = 5 },
                new PlotInfo { Date = new DateTime(2013, 4, 16), YVal = 14 },
                new PlotInfo { Date = new DateTime(2013, 4, 19), YVal = 11 },
            };

            this.SetUpChart(data);
        }

        private void SetUpChart(List<PlotInfo> data)
        {
            var series = new LineSeries();
            for (int i = 0; i < data.Count; i++)
            {
                series.DataPoints.Add(new CategoricalDataPoint { Category = data[i].Date, Value = data[i].YVal });
            }

            this.xCartesianGraph.Series.Add(series);
        }
    }

    public class PlotInfo 
    {
        public DateTime Date { get; set; }
        public double YVal { get; set; }
    }
}
